/* Program to find out rivet value using switch statement and preprocessors*/
/* By Prof. Z.R.Chhaya*/
//fi - Nominal diameter
//t - Thickness of the plates
//d - Gross diameter
//rv - Rivet value
//srss - Strength of rivet in single shear
//srb - Strength of rivet in bearing

#include<stdio.h>
#include<conio.h>
#include<math.h>
/* Declaring varibles as constants/preprocessor - Simple macro substitution*/
#define PI 3.1415
#define TVF 100
#define SPF 300
/* Use of preprocessor-i.e. argumented macro */
#define MIN(a,b) ((a<b)?a:b)
main()
{
int t,choice;
float fi,d,rv,srss,srb;
clrscr();
printf("Write a program to find out rivet value in \n");
printf("a lap joint used to connect two plates. \n");
printf("Ask userof about type of rivets i.e. power\n");
printf("driven or hand driven rivet. Based on  \n");
printf("selection calculate the rivet value \n");
printf("\n                              - Prof.Z.R.CHHAYA\n");
printf("-----------------------------------------------\n");
printf("Enter the thickness of plate: ");
scanf("%d",&t);
fi=6.01*sqrt(t);
d=fi+1.5;
printf("1. Power driven rivets\n");
printf("2. Hand driven rivets\n");
printf("press 1 or 2 from above: ");
scanf("%d",&choice);
printf("-----------------------------------------------\n");
switch(choice)
{
case 1:
srss=PI*d*d*TVF/4000;
printf("Strength of rivet in single shear:%f\n",srss);
srb=d*t*SPF/1000;
printf("Strength of rivet in bearing:%f\n",srb);
rv=MIN(srss,srb);
printf("The rivet value =%f\n",rv);
break;
case 2:
/*undifining the previous macro*/
#undef TVF
#undef SPF
/*redifining the previous macro*/
#define TVF 80
#define SPF 250
srss=PI*d*d*TVF/4000;
printf("Strength of rivet in single shear:%f\n",srss);
srb=d*t*SPF/1000;
printf("Strength of rivet in bearing:%f\n",srb);
rv=MIN(srss,srb);
printf("The rivet value =%f\n",rv);
break;
default:
printf("Please select appropriate option");
}
printf("-----------------------------------------------\n");
getch();
}





