/* Program to find no. of siphon units */
/* By Prof. Z.R.Chhaya */
//frl - Full reservior level
//scl - level of center of siphon outlet
//hfl - High flood level
//hfd - High flood discharge
//tw - Width of throat of siphon
//th - Height of throat of siphon
#include<conio.h>
#include<stdio.h>
#include<math.h>
/* Declaring variables as constant*/
#define c 0.95
#define g 9.81
main()
{
int tw=4,th=2;
float frl,scl,hfl,hfd,A,H,Q,U;
clrscr();
printf("\nPROGRAM:\n\n");
printf("Write program to determine the number of siphon units\n");
printf("required to pass flood safely from the following data: \n");
printf("# Full reservior level\n");
printf("# Level of center of siphon outlet\n");
printf("# High flood level\n");
printf("# High flood discharge\n");
printf("# Width of throat of siphon\n");
printf("# Height of throat of siphon\n");
printf("                                  - Prof.Z.R.CHHAYA\n");
printf("\n-----------------------------------------------------------\n\n");
printf("Enter the required details...\n");
printf("a. Full reservoir level (m): ");
scanf("%f",&frl);
printf("b. Level of center of siphon outlet (m): ");
scanf("%f",&scl);
printf("c. High flood level (m): ");
scanf("%f",&hfl);
printf("d. High flood discharge (Cumec): ");
scanf("%f",&hfd);
//printf("e. Width of throat of siphon: ");
//scanf("%f",&tw);
//printf("f. high of throat of siphon: ");
//scanf("%f",&th);
printf("\n-----------------------------------------------------------\n\n");
H=hfl-scl;
printf("\nSol:\n");
printf("Maximum operative height:%2.2f\n",H);
A=tw*th;
printf("Area:%2.2f\n",A);
Q=c*A*sqrt(2*g*H);
printf("Discharge:%3.4f\n",Q);
U=hfd/Q;
printf("Total number of units:%2.0f\n",U);
printf("\n-----------------------------------------------------------\n\n");
getch();
}










